@extends('admin.layout.master')
@section('title', "التراخيص")
@section('content')

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">التراخيص</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                @include('admin.layout.message')

                <h4 class="header-title">التراخيص</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('products.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الاسم المسجل</th>
                        <th>رقم المستند</th>
                        <th>صورة الوثيقه</th>
                        <th>ملاحظات</th>
                        <th>نوع الترخيص</th>


                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->name}}</td>
                            <td>{{$row->number}}</td>
                            <td><img src="{{$row->image}}" style="width: 150px"></td>
                            <td>{{$row->details}}</td>
                            <td>
                                @if($row->type == 'commercial_record')

                                    سجل تجاري

                                @elseif($row->type == 'professional_record')
                                    ترخيص مهني


                                @elseif($row->type == 'municipal_registry')
                                    رخصة بلدية


                                @else

                                    وثيقة اخرى

                                @endif
                            </td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>

                                <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                     aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title"
                                                    id="myModalLabel">حذف العنصر</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">×
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <h5 class="font-16">هل تريد الحذف ؟</h5>

                                            </div>
                                            <div class="modal-footer">
                                                <form method="post" enctype="multipart/form-data"
                                                      action="{{route('licences.destroy',$row->id)}}">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="button" class="btn btn-light waves-effect"
                                                            data-dismiss="modal">إلغاء
                                                    </button>
                                                    <button type="submit"
                                                            class="btn btn-danger waves-effect waves-light">حذف
                                                    </button>
                                                </form>
                                            </div>
                                        </div><!-- /.modal-content -->
                                    </div><!-- /.modal-dialog -->
                                </div><!-- /.modal -->

                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
