<!DOCTYPE html>
<html lang="ar" dir="rtl">
<!-- <html lang="en" dir="ltr"> -->

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="robots" content="index, follow" />
    <meta name="author" content="Alwaseet Haraj" />

    <!-- Search Engine -->
    <meta name="description" content="Alwaseet Haraj" />
    <meta name="image" content="{{asset('web/img/logo.svg')}}" />
    <!-- Twitter -->
    <meta name="twitter:card" content="summary" />
    <meta name="twitter:title" content="page title" />
    <meta name="twitter:description" content="Alwaseet Haraj" />
    <!-- Open Graph general (Facebook, Pinterest & Google+) -->
    <meta name="og:title" content="page title" />
    <meta name="og:description" content="Alwaseet Haraj" />
    <meta name="og:type" content="website" />

    <!-- frameworks CSS -->
    <link rel="stylesheet" href="{{asset('web/css/bootstrap.min.css')}}" />
    <link rel="stylesheet" href="{{asset('web/css/bootstrap-rtl.min.css')}}" />
    <link rel="stylesheet" href="{{asset('web/css/animate.css')}}" />
    <!-- slick slider -->
    <link rel="stylesheet" href="{{asset('web/css/slick/slick.css')}}" />
    <link rel="stylesheet" href="{{asset('web/css/slick/slick-theme.css')}}" />

    <!-- fontawesome css -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css"
          integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">

    <!-- custom style -->
    <link rel="stylesheet" href="{{asset('web/css/style.css')}}" />
    <!-- if english laguage -->
    <!-- <link rel="stylesheet" href="css/style-ltr.css" /> -->

    <title>Alwaseet</title>
    <link rel="shortcut icon" href="{{asset('web/img/logo.png"')}}" type="image/x-icon" />

    <!--[if lt IE 9]>
    <script src="{{asset('web/js/html5shiv.min.js')}}"></script>
    <script src="{{asset('web/js/popper.min.js')}}"></script>
    <![endif]-->
</head>

<body class="modal-open">

<!-- loading window -->
<div class="loading-window">
    <div class="lds-ellipsis">
        <div></div>
        <div></div>
        <div></div>
        <div></div>
    </div>
</div>
<!--start reset-password -->
<section class="p-0 full-height">

    <div class="sm-width center">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <!-- Modal body -->
                <div class="modal-body">
                    <div class="login-form text-center row">
                        <div class="col-md-7 right-modal-grid">
                            <div class="right-modal">
                                <h4 class="modal-title main-color">مرحبا</h4>
                                <p>قم بإعادة تعيين كلمة المرور</p>
                                <form  action="{{route('update_password')}}" method="post" class="needs-validation row" novalidate>
                                    @if (session()->has('message'))
                                        <div style="text-align: center" class="alert alert-success">
                                            {{ session('message') }}
                                        </div>
                                    @elseif(session()->has('error'))
                                        <div style="text-align: center" class="alert alert-danger">
                                            {{ session('error') }}
                                        </div>
                                    @endif
                                   @csrf
                                    <div class="form-group col-12">
                                        <input  name="password" type="password" class="form-control"
                                                maxlength = "191"            placeholder="كلمة المرور الجديدة" required>
                                        <div class="invalid-feedback">
                                            من فضلك أدخل كلمة مرور صحيحة
                                        </div>
                                    </div>
                                    <div class="form-group col-12">
                                        <input type="password" name="password_confirmation" class="form-control" placeholder="تأكيد كلمة المرور"
                                               maxlength = "191"         required>
                                        <div class="invalid-feedback">
                                            من فضلك أدخل كلمة متطابقة
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <button type="submit" class="btn btn-main btn-hover full-width-btn">
                                            حفظ</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="col-md-5 left-modal-grid">
                            <div class="left-modal">
                                <a href="{{route('home')}}">
                                    <img src="{{asset('web/img/logo-white.png')}}" alt="logo" />
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- end reset-password -->

    <!-- start copyright -->
    <section class="copyrights">
        <div class="container">
            <p class="center m-0">مؤسسة   <a href="">  هيدشوت </a>للإتصالات وتقنية المعلومات</p>
        </div>
    </section>
    <!-- end copyright -->
</section>

<!-- JavaScript Libraries -->
<script src="{{asset('web/js/jquery-3.3.1.min.js')}}"></script>
<script src="{{asset('web/js/popper.min.js')}}"></script>
<script src="{{asset('web/js/bootstrap.min.js')}}"></script>
<script src="{{asset('web/js/wow.min.js')}}"></script>
<script src="{{asset('web/js/slick/slick.js')}}"></script>
<script src="{{asset('web/js/script.js')}}"></script>
</body>

</html>
